{%extends '::base.html.twig'%}
{%block body%}
<div class="preview">
  <div class="image_preview_box"
  style="
  {%if salle.imgUne%}
  {%for p in salle.photos if p.id == salle.imgUne%}
  background: url('{{asset(p.webPath)}}');
  {%endfor%}
  {%else%}
  {%if salle.photos|length>0%}
  background: url('{{asset(salle.photos[0].webPath)}}');
  {%else%}
  background: url('{{asset('bundles/griiosalles/semantic/out/assets/img/preview.jpg')}}');
  {%endif%}
  {%endif%}
  height: 500px; width: 100%; background-size: cover;
  "
  >
  {#%if salle.imgUne%}
  {%for p in salle.photos if p.id == salle.imgUne%}
  <img class="ui fluid image" src="{{asset(p.webPath)}}">
  {%endfor%}
  {%else%}
  {%if salle.photos|length>0%}
  <img class="ui fluid image" src="{{asset(salle.photos[0].webPath)}}">
  {%else%}
  <img class="ui fluid image" src="{{asset('bundles/griiosalles/semantic/out/assets/img/preview.jpg')}}">
  {%endif%}
  {%endif%#}

  <button id="launchGallery" class="ui button">Voir les photos</button>
</div>

<div class="ui container ">
  <div class="ui  grid ">
    <div class="nine wide computer  sixteen  wide tablet sixteen wide  mobile column">
      <h1 class="light_text text black no_margin">{{salle.nom}}</h1>
      <div class="lieu_salle black text" style="text-transform: capitalize">{{salle.hote.ville.label|lower}} > {{salle.hote.quartier.label|lower}}
        <span class="stars">
          <i class="star icon"></i>
          <i class="star icon"></i>
          <i class="star icon"></i>
          <i class="star icon"></i>
        </span>
      </div>

    </div>
    <div class="seven wide computer sixteen  wide tablet sixteen wide  mobile right aligned actions column">
      <div class="ui two column stackable grid">

        <div class="column">
          <!--<button class="ordinary-btn button ui light_text full_width">Ajouter à ma sélection</button>-->
        </div>

        <div class="column">
          <a href="javascript:void(0)" id="verifier-disponibilite"  class=" ordinary-btn a_ordinary-btn full_width">Vérifier la disponibilité</a>
          <div class="ui modal">
            <i class="close icon"></i>
            <div class="header">
              Vérifier disponibilité
            </div>
            <div class="content">
              <p style="text-align: center"><a href="tel:62464646" class="ui button" style="background: #FFB100!important; color: black; font-weight: normal; line-height: 18px">Contacter-nous au <br/><strong>62464646</strong></a></p><br/>
              <p style="text-align: center">Ou par mail</p><br/>
              <div class="ui container ">
                <div class="ui grid">
                  <div class="ten wide computer fourteen wide tablet fifteen wide mobile column centered center aligned ">
                    <form class="ui form ordinary_form" action="{{path('main_verifier_dispo_mail', {'id': salle.id})}}" method="POST">
                      <div class="inline fields">
                        <div class="four wide field">
                          <label>Objet</label>
                        </div>
                        <div class="twelve wide field">
                          <input type="text" name="objet" placeholder="" value="Vérification de la disponibilité de: {{salle.nom}}" required="required">
                        </div>
                      </div>
                      <div class="inline fields">
                        <div class="four wide field">
                          <label>Email</label>
                        </div>
                        <div class="twelve wide field">
                          <input type="email" name="email" placeholder="Votre adresse email" required="required">
                        </div>
                      </div>
                      <div class="inline fields">
                        <div class="four wide field">
                          <label>Adresse</label>
                        </div>
                        <div class="six wide field">
                          <input type="text" name="ville" placeholder="Ville" required="required">
                        </div>
                        <div class="six wide field">
                          <input type="text" name="quartier" placeholder="Quartier" class="margin_top_sm" required="required">
                        </div>
                      </div>
                      <div class="inline fields">
                        <div class="four wide field">
                          <label>Téléphone</label>
                        </div>
                        <div class="twelve wide field">
                          <input type="text" name="telephone" placeholder="Votre numéro de téléphone" required="required">
                        </div>
                      </div>

                      <div class="inline fields">
                        <div class="four wide field">

                        </div>
                        <div class="twelve wide field">
                          <button class="ui button btn_action" type="submit">Vérifier par mail</button>
                        </div>
                      </div>

                    </form>

                  </div>
                </div>
              </div>
            </div>
            <!--<div class="actions">
              <div class="ui button">Cancel</div>
              <div class="ui button">OK</div>
            </div>-->
          </div>
        </div>

      </div>

    </div>
  </div>
</div>
</div>
<div class="principal">
  <div class="ui container ">
    <div class="ui stackable grid mobile reversed">
      <div class="eleven wide column ">
        <div class="description">
          <h2>A propos de la salle</h2>
          <p class="text black">
            {{salle.apropos}}
          </p>
        </div>
        <section>
          <div class="ui two column grid stackable">
            <div class="column">
              <h2>Type de salle</h2>
              <ul class="ui text black">
                {%for t in salle.typeSalles%}
                <li>{{t.typeSalle.libelle}}</li>
                {%endfor%}
              </ul>
            </div>
            <div class="column">
              <h2>Nombre de place</h2>
              <ul class="ui text black">
                <li>Assis: {{salle.placeAssis}}</li>
                <li>Debouts: {{salle.placeDebout}}</li>
              </ul>
            </div>
            <div class="column">
              <h2>Superfercie</h2>
              <ul class="ui text black">
                <li>{{salle.superficie}}</li>
              </ul>
            </div>
            <div class="column">
              <h2>Feeling et type d'évènement</h2>
              <ul class="ui text black">
                {%for t in salle.typeEvenements%}
                <li>{{t.typeEvenement.libelle}}</li>
                {%endfor%}
              </ul>
            </div>
          </div>
        </section>
        <section class="equipements">
          <h2 >Equipements</h2>
          <div class="ui two column grid stackable text black">
            {%if salle.equipements|length>0%}
            {%for e in salle.equipements%}
            <div class="column"><img style="width: auto!important; height: auto!important" src="{{asset(e.equipement.icon.webPath)}}"/><span>{{e.equipement.libelle}}</span></div>
            {%endfor%}
            {%else%}
            <div class="column"><span>Aucun</span></div>
            {%endif%}
            <!--<div class="column"><img src="{{asset('bundles/griiosalles/semantic/out/assets/img/dj.png')}}"/><span>DJ</span></div>
            <div class="column"><img src="{{asset('bundles/griiosalles/semantic/out/assets/img/projecteur.png')}}"/><span>Vidéo Projecteur</span></div>
            <div class="column"><img src="{{asset('bundles/griiosalles/semantic/out/assets/img/wifi.png')}}"/><span>Wifi</span></div>
            <div class="column"><img src="{{asset('bundles/griiosalles/semantic/out/assets/img/coulisse.png')}}"/><span>Coulisse</span></div>
            <div class="column"><img src="{{asset('bundles/griiosalles/semantic/out/assets/img/generateur.png')}}"/><span>Générateur de relais</span></div>
            <div class="column"><img src="{{asset('bundles/griiosalles/semantic/out/assets/img/parking.png')}}"/><span>Parking</span></div>-->
          </div>
        </section>
      </div>
      <div class="five wide column ">
        <div class="right_sidebar">
          <div class="liens" >
            <ul >
              <li><a href="javascript:void(0)" id="launchGallery2">Photos</a></li>
              <!--<li><a href="#">Visite 360°</a></li>-->
              {%if salle.video%}
              <li id="video-gallery">
                <a href="{{salle.video}}" data-poster="{{asset('bundles/griiosalles/semantic/out/assets/img/preview.jpg')}}">Vidéos</a>
                <!--<a href="https://www.youtube.com/watch?v=e2t1Ykgf3Ig" data-poster="{{asset('bundles/griiosalles/semantic/out/assets/img/preview.jpg')}}">Vidéos</a>-->
              </li>
              {%endif%}
              <li><a href="#adresse">Adresse</a></li>
            </ul>
          </div>
          <div class="ui three item menu no_margin">
            <a href="#" class="item">Email</a>
            <a href="#" class="item">Messenger</a>
            <a href="#" class="item">...Plus</a>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="ui column grid container photos stackable" id="photos">
    {%for p in salle.photos%}
    <div class="column item computer only tablet only" data-src="{{asset(p.webPath)}}" data-sub-html="<p>A beautiful Sunrise this morning taken En-route to Keswick not one as planned but I'm extremely happy.</p>">
      <img class="ui fluid image" src="{{asset(p.webPath)}}">
    </div>
    {%endfor%}
    <!--<div class="column item computer only tablet only" data-src="{{asset('bundles/griiosalles/semantic/out/assets/img/salle-c.jpg')}}" data-sub-html="<p>A beautiful Sunrise this morning taken En-route to Keswick not one as planned but I'm extremely happy.</p>">
    <img class="ui fluid image" src="{{asset('bundles/griiosalles/semantic/out/assets/img/salle-c.jpg')}}">
  </div>
  <div class="column item computer only tablet only" data-src="semantic/out/assets/img/salle-b.jpg" data-sub-html="<p>A beautiful Sunrise this morning taken En-route to Keswick not one as planned but I'm extremely happy.</p>">
  <img class="ui fluid image" src="semantic/out/assets/img/salle-e.jpg">
</div>-->
</div>
</div>
<div class="preview">
  <!--<div class="ui container ">
  <div class="ui grid ">
  <div class="sixteen wide computer sixteen wide computer column ">
  <h1 class="light_text text black no_margin">Ils avaient utilisé cette salle</h1>
</div>
<div class="ten wide computer sixteen wide tablet column ">
<div class="ui grid">
<div class="three wide computer sixteen wide tablet column">
<h3 class="light_text text black">Avis globaux</h3>
</div>
<div class="thirteen wide column avis">
<div class="ui two column stackable grid">
<div class="column">
<h4 class="regular_text"><span class="titre">Propreté</span>
<span class="stars">
<i class="star icon"></i>
<i class="star icon"></i>
<i class="star icon"></i>
<i class="star icon"></i>
<i class="star icon text black"></i>
</span>
</h4>
</div>
<div class="column">
<h4 class="regular_text"><span class="titre">Propreté</span>
<span class="stars">
<i class="star icon"></i>
<i class="star icon"></i>
<i class="star icon text black"></i>
<i class="star icon text black"></i>
<i class="star icon text black"></i>
</span>
</h4>
</div>
<div class="column">
<h4 class="regular_text"><span class="titre">Qualité/prix</span>
<span class="stars">
<i class="star icon"></i>
<i class="star icon"></i>
<i class="star icon"></i>
<i class="star icon text black"></i>
<i class="star icon text black"></i>
</span>
</h4>
</div>
<div class="column">
<h4 class="regular_text"><span class="titre">Qualité/prix</span>
<span class="stars">
<i class="star icon"></i>
<i class="star icon"></i>
<i class="star icon"></i>
<i class="star icon"></i>
<i class="star icon"></i>
</span>
</h4>
</div>
</div>
</div>

</div>
</div>


</div>
</div>-->
</div>
<div class="ui container" id="adresse">
  <div class="ui grid">
    <div class="sixteen wide column">
      <div class="map_area">
        <div class="map_box">
          <div id="map"></div>
        </div>
        <div class="adresse">
          <div class="crop">
            <img src="{{asset('bundles/griiosalles/semantic/out/assets/img/preview.jpg')}}" />
          </div>
          <div class="description_salle">
            <div class="lieu_salle black text" style="text-transform: capitalize">{{salle.hote.ville.label|lower}} > {{salle.hote.quartier.label|lower}}</div>
            <h2 class="nom_salle black text light_text no_margin">{{salle.nom}}</h2>
          </div>
          <div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
{%if salleSuggeres|length>0%}
<div class="alternatives">
  <div class="ui container">
    <div class="ui relaxed grid stackable">
      <div class="one wide column only computer only tablet"></div>
      <div class="four wide column right aligned">
        <h2 class=" text black light_text">Ces salles pouraient aussi vous convenir</h2>
      </div>
      <div class="eleven wide column">
        <div class="ui three column stackable relaxed grid">
          {%for s in salleSuggeres%}
          <div class="column">
            <div class="salle">
              <a href="{{path('main_detail_salle', {'id': s.id})}}">
                <div class="image_box" style="/*width: 364px; */
                width: 100%; height: 150px;
                {%if s.photos|length>0%}
                {%if s.photos[0] and s.photos[0].url%}
                background: url('{{asset(s.photos[0].webPath)}}');
                {%else%}
                background: url('{{asset("bundles/griiosalles/semantic/out/assets/img/salle.jpg")}}');
                <img class="ui fluid image " src="{{asset('')}}">
                {%endif%}
                {%else%}
                background: url('{{asset("bundles/griiosalles/semantic/out/assets/img/salle.jpg")}}');
                <!--<img class="ui fluid image " src="{{asset('bundles/griiosalles/semantic/out/assets/img/salle.jpg')}}">-->
                {%endif%}
                background-size: cover;
                border-top-left-radius: 5px;
                border-top-right-radius: 5px;
                ">
                <!--<img class="ui fluid image " src="{{asset(s.photos[0].webPath)}}">-->
                <div class="stars">
                  <i class="star icon"></i>
                  <i class="star icon"></i>
                  <i class="star icon"></i>
                  <i class="star icon"></i>
                </div>
              </div>
            </a><div class="description_salle"><a href="salle.html">
              <div class="lieu_salle black text" style="text-transform: capitalize!important">{{s.hote.ville.label|lower}} > {{s.hote.quartier.label|lower}}</div>
              <div class="nom_salle black text">{{s.nom}}</div>

            </a>

          </div>
        </div>
      </div>
      {%endfor%}
    </div>
  </div>
</div>
</div>
</div>
{%endif%}
<!--<div class="alternatives">
<div class="ui container">
<div class="ui relaxed grid stackable">
<div class="one wide column only computer only tablet"></div>
<div class="four wide column right aligned">
<h2 class=" text black light_text">Ces salles pouuraient aussi vous convenir</h2>
</div>
<div class="eleven wide column">
<div class="ui three column stackable relaxed grid">
<div class="column">
<div class="salle">
<a href="salle.html">
<div class="image_box">
<img class="ui fluid image " src="semantic/out/assets/img/salle.jpg">
<div class="stars">
<i class="star icon"></i>
<i class="star icon"></i>
<i class="star icon"></i>
<i class="star icon"></i>
</div>
</div>
<div class="description_salle">
<div class="lieu_salle black text">Cotonou > Cadjèhoun</div>
<div class="nom_salle black text">Majestic Salle de fête</div>

</a>

</div>
</div>
</div>
<div class="column">
<div class="salle">
<a href="salle.html">
<div class="image_box">
<img class="ui fluid image " src="semantic/out/assets/img/salle.jpg">
<div class="stars">
<i class="star icon"></i>
<i class="star icon"></i>
<i class="star icon"></i>
<i class="star icon"></i>
</div>
</div>
<div class="description_salle">
<div class="lieu_salle black text">Cotonou > Cadjèhoun</div>
<div class="nom_salle black text">Majestic Salle de fête</div>
</a>

</div>
</div>
</div>
<div class="column">
<div class="salle">
<a href="salle.html">
<div class="image_box">
<img class="ui fluid image " src="semantic/out/assets/img/salle.jpg">
<div class="stars">
<i class="star icon"></i>
<i class="star icon"></i>
<i class="star icon"></i>
<i class="star icon"></i>
</div>
</div>
<div class="description_salle">
<div class="lieu_salle black text">Cotonou > Cadjèhoun</div>
<div class="nom_salle black text">Majestic Salle de fête</div>
</a>

</div>
</div>
</div>
</div>
</div>
</div>
</div>
</div>-->
{%endblock%}
{%block javascripts%}
{{parent()}}
<script type="text/javascript">
$( "#verifier-disponibilite" ).click(function() {
  $('.ui.modal').modal('show');
  //$('.verifier-dispobilite-modal').modal('show');
});
$('#launchGallery').click(function(){
  $(".photos .item:nth-child(1)").trigger('click');
})
$('#launchGallery2').click(function(){
  $(".photos .item:nth-child(1)").trigger('click');
})

function initMap() {
  {%if salle.hote.lat%}
  var myLatLng = {lat: {{salle.hote.lat}}, lng: {{salle.hote.lon}}};
  {%else%}
  var myLatLng = {lat: 6.358143, lng: 2.437504};
  {%endif%}

  // Create a map object and specify the DOM element for display.
  var map = new google.maps.Map(document.getElementById('map'), {
    center: myLatLng,
    scrollwheel: false,
    zoom: 15
  });

  // Create a marker and set its position.
  var marker = new google.maps.Marker({
    map: map,
    position: myLatLng,
    title: '{{salle.nom}}'
  });
  var styles = [
    {
      "featureType": "administrative.country",
      "elementType": "labels.icon",
      "stylers": [
        {
          "visibility": "on"
        }
      ]
    }
  ]
  map.setOptions({styles: styles});
}
</script>
<script async defer
src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAj2Z7vXWzw8_RrA_6gMQzOUWPvXf0Apgw&callback=initMap">
</script>
{%endblock%}
